Overview

The React stacked column chart is a chart with x-values stacked on one another in series order. It shows the relationship among individual values to the total of the points.


Multi series

You can plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Multiple axes

Use multiple axes to plot different data sets that vary widely from each other.


Stacking group

Group a series with another series separately using a different group name.


Spacing and width

Customize spacing between two bars and the width of the bars.


Rounded corners

Modernize the UI by applying rounded corners to the stacked bar.


Cylindrical stacked columns

Modernize the UI by displaying value as cylindrical-shaped data points.


Customization

Customize the look and feel of the stacked column chart using built-in APIs.


React Stacked Column Chart Code Example

Easily get started with React Stacked Column using a few simple lines of JS code, as demonstrated below. Also explore our React Stacked Column Chart Example that shows you how to render and configure the stacked column chart component.

import {AxisModel,Category,ChartComponent,Inject,SeriesCollectionDirective, SeriesDirective, StackingColumnSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data1: any[]= [
    { x: '2014', y: 111.1 },
    { x: '2015', y: 127.3 },
    { x: '2016', y: 143.4 },
    { x: '2017', y: 159.9 }];
  public data2: any[]= [
    { x: '2014', y: 76.9 },
    { x: '2015', y: 99.5 },
    { x: '2016', y: 121.7 },
    { x: '2017', y: 142.5 }];
  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[StackingColumnSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='StackingColumn'/>
      <SeriesDirective dataSource={this.data2} xName='x' yName='y' type='StackingColumn'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Stacked Column Chart User Guide

Learn the available options to customize React stacked column chart.

API

Stacked Column Chart API Reference

Explore the React stacked column chart APIs.


Explore all Syncfusion React components

Explore over 140+ React UI components featuring established, and production-ready controls built for modern web app development.

Scroll up icon
Syncfusion Feedback

Overview

The Angular stacked column chart is a chart with x-values stacked on one another in series order. It shows the relationship among individual values to the total of the points.


Multi series

You can plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Multiple axes

Use multiple axes to plot different data sets that vary widely from each other.


Stacking group

Group a series with another series separately using a different group name.


Spacing and width

Customize spacing between two bars and the width of the bars.


Rounded corners

Modernize the UI by applying rounded corners to the stacked bar.


Cylindrical stacked columns

Modernize the UI by displaying value as cylindrical-shaped data points.


Customization

Customize the look and feel of the stacked column chart using built-in APIs.


Angular Stacked Column Chart Code Example

Easily get started with Angular Stacked Column using a few simple lines of JS code, as demonstrated below. Also explore our Angular Stacked Column Chart Example that shows you how to render and configure the stacked column chart component.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='StackingColumn' xName='x' yName='y'> </e-series>   
    <e-series [dataSource]='data1' type='StackingColumn' xName='x' yName='y'> </e-series> 
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
                { x: '2014', y: 111.1 },
                { x: '2015', y: 127.3 },
                { x: '2016', y: 143.4 },
                { x: '2017', y: 159.9 }];
  public data1: Object[] = [
                { x: '2014', y: 76.9 },
                { x: '2015', y: 99.5 },
                { x: '2016', y: 121.7 },
                { x: '2017', y: 142.5 }];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { StackingColumnSeries, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ StackingColumnSeries, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Stacked Column Chart User Guide

Learn the available options to customize Angular Stacked Column Chart.

API

Stacked Column Chart API Reference

Explore the Angular Stacked Column Chart APIs.


140+ ANGULAR UI COMPONENTS

Scroll up icon
Syncfusion Feedback